For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update resource limits for contract

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
contractNumberinteger · int64Required
Body
ramServerMaxinteger · int32Required

maximum ram per virtual machine

cpuServerMaxinteger · int32Required

maximum number of cpu per virtual machine

hddVolumeMaxSizeinteger · int32Required

maximum hdd volume size

ssdVolumeMaxSizeinteger · int32Required

maximum ssd volume size

ramContractMaxinteger · int32Required

maximum ram per contract

cpuContractMaxinteger · int32Required

maximum cpu per contract

hddVolumeContractMaxSizeinteger · int32Required

maximum hhd volume per contract

ssdVolumeContractMaxSizeinteger · int32Required

maximum ssd volume per contract

ipsinteger · int32Required

maximum ips per contract

Responses
200

Success

application/json
put/contracts/{contractNumber}/resourcelimits
PUT /reseller/v2/contracts/{contractNumber}/resourcelimits HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "ramServerMax": 1,
  "cpuServerMax": 1,
  "hddVolumeMaxSize": 1,
  "ssdVolumeMaxSize": 1,
  "ramContractMax": 1,
  "cpuContractMax": 1,
  "hddVolumeContractMaxSize": 1,
  "ssdVolumeContractMaxSize": 1,
  "ips": 1
}
{
  "id": "15514",
  "href": "https://api.ionos.com/reseller/v2/contract/15514",
  "name": "text",
  "resellerReference": "text",
  "status": "text",
  "resourceLimits": {
    "ramServerMax": 1,
    "cpuServerMax": 1,
    "hddVolumeMaxSize": 1,
    "ssdVolumeMaxSize": 1,
    "ramContractMax": 1,
    "cpuContractMax": 1,
    "hddVolumeContractMaxSize": 1,
    "ssdVolumeContractMaxSize": 1,
    "ips": 1
  }
}

Last updated

Was this helpful?